#include <library/cpp/testing/unittest/env.h>
#include <library/cpp/testing/unittest/registar.h>

#include <maps/wikimap/mapspro/services/renderer_overlay/lib/image.h>

using namespace maps::wiki::renderer_overlay;


Y_UNIT_TEST_SUITE(image)
{
Y_UNIT_TEST(image_io)
{
    Image image(13, 17);
    const std::string imageData = image.pngData();
    Image imageRead(imageData);
    UNIT_ASSERT_EQUAL(imageRead.width(), 13);
    UNIT_ASSERT_EQUAL(imageRead.height(), 17);
}
} // Y_UNIT_TEST_SUITE(test_polynomial_transfrom)
